# WooCommerce Conotoxia Pay Gateway

Wtyczka do WooCommerce, która dostarcza nową metodę płatności Cinkciarz Pay.

## Dziennik zmian

- 1.11.0 Zaktualizowano plugin w celu zapewnienia kompatybilności WooCommerce z nowszymi wersjami (WooCommerce 5.4.2).
- 1.10.1 Usuwanie niedozwolnych znaków i protokołu komunikacji z opisu zamówienia i powodu zwrotu
- 1.8.0 Zmiany pozwalające na wsparcie niestandardowych identyfikatorów zamówienia.
- 1.6.0 Zaktualizowano plugin w celu zapewnienia kompatybilności WooCommerce z nowszymi wersjami (WooCommerce 5.1.0).
- 1.4.0 Zaktualizowano WordPress i WooCommerce (do wersji 4.9.2)
- 1.1.0 Dodano możliwość ukrycia ikony na liście wyboru płatności.
- 0.9.0 Dodano możliwość generowania kluczy publicznych i prywatnych podczas konfiguracji.
- 0.8.0 Dodano tryb sandbox umożliwiający wykonanie płatności na środowisku testowym.
- 0.4.5 Dodano identyfikator płatności na stronie podsumowania płatności.

## Spis treści

* [Wymagania](#wymagania)
* [Instalacja i aktywacja wtyczki](#instalacja-i-aktywacja-wtyczki)
    * [Instalacja za pomocą panelu administracyjnego WordPress](#instalacja-za-pomocą-panelu-administracyjnego-wordpress)
    * [Instalacja manualna](#instalacja-manualna)
* [Konfiguracja](#konfiguracja)
    * [Konfiguracja punktu płatności w Panelu sprzedawcy](#konfiguracja-punktu-płatności-w-panelu-sprzedawcy)
* [Zwrot w Panelu Merchanta](#zwroty)

## Wymagania

* WordPress 5.4.1 - 5.7.2
* WooCommerce 4.2.0 - 5.4.2
* PHP 7.1.26+
* Rozszerzenia PHP:
    * curl
    * json
    * openssl
    * readline

## Instalacja i aktywacja wtyczki

Wtyczka jest dostępna do pobrania z witryny [cinkciarz.pl](https://cinkciarz.pl/platnosci/dla-developerow).  
Wtyczkę można zainstalować na dwa sposoby — za pomocą panelu administratora lub manualnie.  
Jeżeli nie jesteś zaawansowanym użytkownikiem WordPress'a, zalecamy instalację poprzez panel administratora.

#### Instalacja za pomocą panelu administracyjnego WordPress

1. W panelu administratora wybierz `Wtyczki → Dodaj nową`, następnie wybierz przycisk `Wyślij wtyczkę na serwer` i w
   oknie dialogowym wybierz plik zip.
2. Następnie wybierz `Włącz` w `Wtyczki → Zainstalowane wtyczki`.

#### Instalacja manualna

1. Pobrany plik zip należy rozpakować w katalogu `wp-content/plugins` na serwerze.
2. W `Wtyczki → Zainstalowane wtyczki` należy włączyć wtyczkę.

## Konfiguracja

1. Należy przejść do ustawień wtyczki WooCommerce `WooCommerce → Ustawienia`.
2. Następnie wybrać sekcje `Płatności`.
3. Należy wybrać `Zarzadzaj` dla metody płatności `Conotoxia Pay`.
4. Należy wypełnić wszystkie pola na stronie konfiguracji wtyczki:
    - `Identyfikator klienta API` i `Hasło klienta API` - dane dostępowe można wygenerować w
      [Panelu sprzedawcy](https://fx.cinkciarz.pl/merchant/configuration) w sekcji `Dane dostępowe`.
    - `Identyfikator punktu płatności*`. - identyfikator utworzonego punktu płatności.
    - `Klucz prywatny` - możliwe jest wygenerowanie klucza prywatnego na stronie konfiguracji wtyczki. Z wprowadzonego
      na stronie konfiguracji wtyczki klucza prywatnego generowany jest klucz publiczny. Klucz ten przy generacji jest
      automatycznie przesyłany do Cinkciarz Pay. Nie jest wtedy konieczne wprowadzenie klucza
      w [Panelu sprzedawcy](https://fx.cinkciarz.pl/merchant/public-keys/add?context=configuration). Dodatkowa
      instrukcja generowania kluczy znajduje się
      w [dokumentacji](https://cinkciarz.pl/developer/platnosci/sklepy-online#generowanie-klucza-publicznego).
    - `Tryb testowy` - możliwe jest przetestowanie modułu w środowisku testowym. W celu pozyskania dostępu do środowiska
      testowego należy udać się na stronę [cinkciarz.pl](https://cinkciarz.pl/kontakt/biznes).
    - `Ikona płatności` - możliwe jest dodanie ikony na liście wyboru płatności.
5. Po zakończeniu konfiguracji należy włączyć metodę płatności.

`*` Dane można pozyskać generując sklep oraz punkt płatności w kreatorze dostępnym
w [Panelu sprzedawcy](https://fx.cinkciarz.pl/merchant).

### Konfiguracja punktu płatności w [Panelu sprzedawcy](https://fx.cinkciarz.pl/merchant)

Punkt płatności powinien być skonfigurowany zgodnie z danymi widocznymi poniżej:

- `Adres powiadomienia o utworzeniu płatności` - https://sklep.pl/?wc-api=WC_Gateway_Conotoxia_Pay
- `Adres powiadomienia o utworzeniu zwrotu` - https://sklep.pl/?wc-api=WC_Gateway_Conotoxia_Pay
- `Adres strony dla płatności udanej` - https://sklep.pl
- `Adres strony dla płatnosci nieudanej` - https://sklep.pl
- `Lista dozwolonych adresów` - https://sklep.pl

gdzie `sklep.pl` powinien być zastąpiony rzeczywistym adresem sklepu.

# Zwroty
Zwroty można zlecić z poziomu wtyczki oraz z [Panelu Sprzedawcy](https://fx.cinkciarz.pl/merchant).
W przypadku zlecenia z Panelu Sprzedawcy należy uzupełnić `Zewnętrzny numer zwrotu płatności` zgodnie z numerem zamówienia z sklepu.
Jeżeli pole zostanie pominięte to nie zostaną dostarczone powiadominia do sklepu.
